Skip to main content
GET
/
twitter
/
user
/
lists
Get user list memberships
curl --request GET \
  --url 'https://api.xshot.fun/twitter/user/lists?api_key='
{
  "lists": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "mode": "Public",
      "member_count": 123,
      "subscriber_count": 123,
      "created_at": 123,
      "following": true,
      "is_member": true,
      "muting": true,
      "banner_url": "<string>",
      "owner": {
        "id": "<string>",
        "name": "<string>",
        "username": "<string>",
        "profile_image": "<string>",
        "verified": true,
        "followers_count": 123
      }
    }
  ],
  "next_cursor": "<string>",
  "has_next_page": true
}

Authorizations

api_key
string
query
required

Query Parameters

username
string
required
cursor
string

Response

200 - application/json

Paginated list memberships

lists
object[]
next_cursor
string | null
has_next_page
boolean